<script setup lang="ts">
import { defineProps, defineEmits } from 'vue'
import { type Country } from '@/pages/home/interfaces/IContinentCountry'

const props = defineProps<{
  country: Country | null
}>()

const emit = defineEmits<{
  (e: 'showCountryModal'): void
}>()

const closeModal = () => {
  emit('showCountryModal')
}
</script>

<template>
  <section class="modal" v-if="country && country.landscape">
    <section class="country-modal">
      <img class="country-img" :src="country.landscape" alt="Esto es un logo" />
      <div class="country-info">
        <img class="flag-img" :src="country.flag" alt="Esto es un logo" />
        <div>
          <h4>{{ country.name }}</h4>
          <p>{{ country.continent.name }}</p>
        </div>
      </div>
      <p><b>Capital:</b> {{ country.capital }}</p>
      <p><b>Lenguaje:</b> {{ country.languages[0].name }}</p>
      <p><b>Population:</b> 500k people</p>
      <p><b>Currency:</b>: {{ country.currency }}</p>
      <div class="region">
        <p><b>Region:</b></p>
        <ul>
          <li>Region 1</li>
          <li>Region 2</li>
          <li>Region 3</li>
          <li>Region 4</li>
          <li>Region 5</li>
        </ul>
      </div>
      <button class="close" @click="closeModal">x</button>
    </section>
  </section>
</template>

<style scoped>
.modal {
  position: fixed;
  bottom: 0;
  right: 0;
  padding: 20px;
  background-color: var(--color-6);
  padding: 20px;
  border-radius: 20px 20px 0 0;
  width: 260px;
  box-shadow: 0 0 10px var(--color-4);
}

.region {
  height: 80px;
  overflow: auto;
}

.country-modal {
  position: relative;
}

.close {
  position: absolute;
  top: -13px;
  right: -13px;
  background-color: transparent;
  border: none;
  font-weight: bold;
  cursor: pointer;
  font-size: 1.4rem;
}

.country-img {
  width: 100%;
  height: 150px;
  object-fit: cover;
  display: block;
  margin: 0 auto;
  border-radius: 10px 10px 0 0;
}

.flag-img {
  width: 50px;
  height: 50px;
  object-fit: cover;
}

.country-info {
  margin-top: 10px;
  display: flex;
  align-items: center;
  gap: 10px;
}
</style>
